Subscriptions
List active entitlements
Returns every entitlement active on the subscription’s current published version, including static boolean/number/string entitlements and grant-based credit allocations.
GET
/
subscriptions
/
{id}
/
entitlements
List active entitlements
curl --request GET \
--url https://api.alguna.io/subscriptions/{id}/entitlements \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/subscriptions/{id}/entitlements"
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Alguna-Version': '<alguna-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.alguna.io/subscriptions/{id}/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"mode": "static",
"type": "boolean",
"allocation": {
"amount": "100000",
"credit_type": "monetary",
"rollover_enabled": true,
"rollover_max_periods": 3
},
"key": "api_access",
"subscription_id": "sub_abc123",
"timing": {
"recurrence": "recurring",
"interval": "monthly"
},
"value": "true",
"version_id": "subv_abc123"
}
]
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
API key authentication. Pass your API key as a Bearer token.
Headers
Available options:
2026-04-01 Path Parameters
Unique identifier for the subscription
Response
Success
List of entitlements
Show child attributes
Show child attributes
⌘I
List active entitlements
curl --request GET \
--url https://api.alguna.io/subscriptions/{id}/entitlements \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/subscriptions/{id}/entitlements"
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Alguna-Version': '<alguna-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.alguna.io/subscriptions/{id}/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"mode": "static",
"type": "boolean",
"allocation": {
"amount": "100000",
"credit_type": "monetary",
"rollover_enabled": true,
"rollover_max_periods": 3
},
"key": "api_access",
"subscription_id": "sub_abc123",
"timing": {
"recurrence": "recurring",
"interval": "monthly"
},
"value": "true",
"version_id": "subv_abc123"
}
]
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}